aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/smtbmc/notrap_validop.sh
diff options
context:
space:
mode:
authorClifford Wolf <clifford@clifford.at>2016-08-29 17:23:00 +0200
committerClifford Wolf <clifford@clifford.at>2016-08-29 17:23:00 +0200
commit28fe45ffe929c2f6788314e5ff27923c8dc770b6 (patch)
tree75ad3356a79a3363bd8c599d3591bc62b965a97b /scripts/smtbmc/notrap_validop.sh
parent72158ba4a589cf838b9c474798e4dce9315fa47c (diff)
downloadpicorv32-28fe45ffe929c2f6788314e5ff27923c8dc770b6.tar.gz
picorv32-28fe45ffe929c2f6788314e5ff27923c8dc770b6.zip
Added more asserts to picorv32, more smtbmc examples
Diffstat (limited to 'scripts/smtbmc/notrap_validop.sh')
-rw-r--r--scripts/smtbmc/notrap_validop.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/scripts/smtbmc/notrap_validop.sh b/scripts/smtbmc/notrap_validop.sh
new file mode 100644
index 0000000..10a7ca5
--- /dev/null
+++ b/scripts/smtbmc/notrap_validop.sh
@@ -0,0 +1,13 @@
+#!/bin/bash
+
+set -ex
+
+yosys -ql notrap_validop.yslog \
+ -p 'read_verilog -formal -norestrict -assume-asserts ../../picorv32.v' \
+ -p 'read_verilog -formal notrap_validop.v' \
+ -p 'prep -top testbench -nordff' \
+ -p 'write_smt2 -mem -bv -wires notrap_validop.smt2'
+
+#yosys-smtbmc -s yices -t 50 --dump-vcd output.vcd --dump-smtc output.smtc notrap_validop.smt2
+yosys-smtbmc -s yices -i -t 27 --dump-vcd output.vcd --dump-smtc output.smtc notrap_validop.smt2
+